# RPM Spec file for mod_pkcs7

Name:      mod_pkcs7
Version:   0.2.0
Release:   1%{?dist}
Summary:   Redwax Apache certificate revocation list module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://archive.redwax.eu/dist/rs/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://redwax.eu/rs/
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), pkgconfig(openssl), mod_ca-devel
Requires:  mod_ca

%if 0%{?is_opensuse}
%define moduledir %{_libdir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%endif

%description
The Apache mod_pkcs7 module exposes CA and other certificates within mod_ca
as either PEM or DER encoded PKCS7 files.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{moduledir}/%{name}.so


